> ## Documentation Index
> Fetch the complete documentation index at: https://omo-3bacc298.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Index Google Drive Files

> Indexes Google Drive files by passing them to Celery for processing



## OpenAPI

````yaml post /v2/googledrive/files
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/googledrive/files:
    post:
      tags:
        - google_drive
      summary: Index Google Drive Files
      description: Indexes Google Drive files by passing them to Celery for processing
      operationId: index_google_drive_files_v2_googledrive_files_post
      parameters:
        - description: >-
            Google access token. Obtained by the client             performing
            the OAuth flow with Google.
          required: true
          schema:
            type: string
            title: X-Google-Authorization
            description: >-
              Google access token. Obtained by the client             performing
              the OAuth flow with Google.
          name: x-google-authorization
          in: header
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_index_google_drive_files_v2_googledrive_files_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                title: Response Index Google Drive Files V2 Googledrive Files Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_index_google_drive_files_v2_googledrive_files_post:
      properties:
        files:
          items:
            $ref: '#/components/schemas/GoogleDriveObject'
          type: array
          title: Files
        user_context:
          $ref: '#/components/schemas/UserContext'
      type: object
      required:
        - files
        - user_context
      title: Body_index_google_drive_files_v2_googledrive_files_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GoogleDriveObject:
      properties:
        id:
          type: string
          title: Id
        serviceId:
          type: string
          title: Serviceid
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        type:
          type: string
          title: Type
        lastEditedUtc:
          type: integer
          title: Lasteditedutc
        url:
          type: string
          title: Url
        sizeBytes:
          type: integer
          title: Sizebytes
        lastSyncedAt:
          type: string
          format: date
          title: Lastsyncedat
      type: object
      required:
        - id
        - serviceId
        - name
        - description
        - type
        - lastEditedUtc
        - url
        - sizeBytes
      title: GoogleDriveObject
    UserContext:
      properties:
        id:
          type: integer
          title: Id
        email:
          type: string
          title: Email
        updated_at:
          type: string
          title: Updated At
        is_active:
          type: boolean
          title: Is Active
        team_id:
          type: integer
          title: Team Id
        created_at:
          type: string
          format: date-time
          title: Created At
        connectors:
          items:
            $ref: '#/components/schemas/ConnectorContext'
          type: array
          title: Connectors
        vector_store:
          $ref: '#/components/schemas/VectorStoreContext'
      type: object
      required:
        - id
        - email
        - updated_at
        - is_active
        - team_id
        - created_at
        - connectors
        - vector_store
      title: UserContext
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ConnectorContext:
      properties:
        name:
          type: string
          title: Name
        id:
          items:
            type: integer
          type: array
          title: Id
      type: object
      required:
        - name
        - id
      title: ConnectorContext
    VectorStoreContext:
      properties:
        id:
          type: integer
          title: Id
        index_name:
          type: string
          title: Index Name
        environment:
          type: string
          title: Environment
        namespaces:
          items:
            type: string
          type: array
          title: Namespaces
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        provider:
          type: string
          title: Provider
      type: object
      required:
        - id
        - index_name
        - environment
        - namespaces
        - created_at
        - updated_at
        - provider
      title: VectorStoreContext

````